Class
Triple
Stores three arbitrary objects.

Triple

Packed Triple

Triple<T1[, T2[, T3[, TSpec]]]>
Parameters

T1 | The type of the first object.
T2 | The type of the second object. Default: T1
T3 | The type of the third object. Default: T2
TSpec | The specializing type. Default: void, no compression (faster access).

Specializations

Packed Triple | Stores three arbitrary objects. Saves memory by disabling memory alignment.

Data Members

i1 | T1 object
i2 | T2 object
i3 | T3 object

Member Functions

Triple | Constructor

Functions

appendDiag | Adds diagonal to the seed.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45